Which version of Azure blob storage jar is compatible with jedox (in groovy)?

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Which version of Azure blob storage jar is compatible with jedox (in groovy)?

      I try to connect my jedox integrator to a blob storage I want to know wich version of the jar file should I download ? I download 12.13.0 and it doesn't work, I think I should downgrade.
      Hello everyone if you are stuck and you can't post anything on this forum just contact info@jedox.com and request for account activation ! You're welcome !
    • You can successfully use blob storage library by doing this :
      1) download those jarfile:
      azure-core-1.20.0.jar
      azure-core-experimental-1.0.0-beta.18.jar
      azure-core-http-netty-1.11.0.jar
      azure-storage-blob-12.13.0.jar
      azure-storage-common-12.12.0.jar
      azure-storage-internal-avro-12.0.5.jar
      On this website : mvnrepository.com/artifact/com.azure
      You need to download azure-storage-blob AND its dependencies.
      2) move all jar file in /opt/jdx/tomcat/lib_ext/ (path available only in jedox cloud instance)
      3) go to : console.cloud.jedox.com/
      4) then restart integrator(or all for safety) services.
      5) on your groovy job to use the blob storage library you can import it like this :
      import com.azure.storage.blob.*;

      after all of this you can run this code safely :
      import com.azure.storage.blob.*;
      LOG.info(BlobServiceVersion.getLatest().toString());

      PS: I post this message in 2021 but I think things will evolve in azure, so be sure to check the RIGHT dependancies and then download them. If you don't have the other libraries it will work(and you will wait a massive amount of time for nothing).
      Hello everyone if you are stuck and you can't post anything on this forum just contact info@jedox.com and request for account activation ! You're welcome !